# ai.hpp File Reference

Base functions for all AIs. More...

`#include "api/ai_event_types.hpp"`
`#include "../date_type.h"`
`#include "../core/string_compare_type.hpp"`
`#include <map>`

Go to the source code of this file.

## Data Structures
class | AI
| Main AI class. More...
## Typedefs
typedef std::map< const char *, class AIInfo *, StringCompare > | AIInfoList
| A list that maps AI names to their AIInfo object.

## Detailed Description

Base functions for all AIs.

Definition in file ai.hpp.

## Typedef Documentation

typedef std::map<const char *, class AIInfo *, StringCompare> AIInfoList

A list that maps AI names to their AIInfo object.

Definition at line 22 of file ai.hpp.